Skip to main content
`Ctrl`+`K`

# TaoADMMSetMisfitHessianRoutine

Sets the user-defined misfit Hessian call-back function into the algorithm, to be used for subsolverX.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetMisfitHessianRoutine(Tao tao, Mat H, Mat Hpre, PetscErrorCode (*func)(Tao tao, Vec u, Mat H, Mat Hpre, PetscCtx ctx), PetscCtx ctx)

Collective

## Input Parameters

- tao - the `Tao` context

- H - user-created matrix for the Hessian of the misfit term

- Hpre - user-created matrix for the preconditioner of Hessian of the misfit term

- func - function pointer for the misfit Hessian evaluation

- ctx - application context for the misfit Hessian

## Calling sequence of func

- tao - the `Tao` context

- u - in current input solution

- H - output, the contribution to the Hessian matrix

- Hpre - an optional contribution to an alternative matrix with which the preconditioner is to be constructed

- ctx - the optional application context

## See Also

`TAOADMM`

## Level

advanced

## Location

src/tao/constrained/impls/admm/admm.c

## Examples

src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages